Easy setup guide for Ubuntu / Debian (DEB packages and repo)

For help and support with issues specific to Linux/Unix
Forum rules
Please make sure you follow the Problem Reporting Guidelines before posting if you want a reply.

Re: Complete DEB packages for Ubuntu / Debian (32/64 bit)

Postby rag74 » Fri Feb 17, 2012 12:51 am

Sorry in advance for my slightly stupid question. I'm new at Ubuntu system, that's why i appreciate indeed your complete deb package for PS3MEDIASERVER!!! The question is: i saw the paths of the folders and files you posted but, though i found it, i can't get to put anything inside the "plugins" folder. I assume my question is more related to my bad knowledge on ubuntu but maybe you can help me. Thanks!
rag74
 
Posts: 4
Joined: Fri Feb 17, 2012 12:43 am

Re: Complete DEB packages for Ubuntu / Debian (32/64 bit)

Postby happy.neko » Fri Feb 17, 2012 8:26 am

rag74 wrote:Sorry in advance for my slightly stupid question. I'm new at Ubuntu system, that's why i appreciate indeed your complete deb package for PS3MEDIASERVER!!! The question is: i saw the paths of the folders and files you posted but, though i found it, i can't get to put anything inside the "plugins" folder. I assume my question is more related to my bad knowledge on ubuntu but maybe you can help me. Thanks!

/usr is system directory, you should copy files here as root (super user):
Code: Select all
sudo cp plugin.jar /usr/lib/ps3mediaserver/plugins/
happy.neko
Project Member
 
Posts: 478
Joined: Fri Sep 23, 2011 5:38 pm

Re: Complete DEB packages for Ubuntu / Debian (32/64 bit)

Postby rag74 » Fri Feb 17, 2012 3:26 pm

Thank you very much for your help! I´ll try it this afternoon back at home! Thanks again
rag74
 
Posts: 4
Joined: Fri Feb 17, 2012 12:43 am

Re: Complete DEB packages for Ubuntu / Debian (32/64 bit)

Postby ScoobyDan » Sun Feb 19, 2012 11:29 am

Hi,

I'm running a (relatively) clean 12.04 installation (64bit), and when I add the repo and try to install PS3MediaServer, I get a list of 249 libs and other apps that need to be downloaded and installed! Is this normal? They all seem to be 32bit libs (ending *i386) - can't it use 64bit libs, when installed?

Many thanks,

Daniel
ScoobyDan
 
Posts: 4
Joined: Sun Feb 19, 2012 11:25 am

Re: Complete DEB packages for Ubuntu / Debian (32/64 bit)

Postby happy.neko » Sun Feb 19, 2012 6:27 pm

ScoobyDan wrote:Hi,

I'm running a (relatively) clean 12.04 installation (64bit), and when I add the repo and try to install PS3MediaServer, I get a list of 249 libs and other apps that need to be downloaded and installed! Is this normal? They all seem to be 32bit libs (ending *i386) - can't it use 64bit libs, when installed?

Many thanks,

Daniel


That's strange. Please do
Code: Select all
sudo apt-get install ps3mediaserver
via terminal and copy-paste what it wants to install.
happy.neko
Project Member
 
Posts: 478
Joined: Fri Sep 23, 2011 5:38 pm

Re: Complete DEB packages for Ubuntu / Debian (32/64 bit)

Postby ScoobyDan » Sun Feb 19, 2012 8:00 pm

happy.neko,

I was being adventurous, so I have already accepted the installs :shock:

From APT's history.log:

Code: Select all
Start-Date: 2012-02-19  17:13:17
Commandline: apt-get install ps3mediaserver
Install: libopenal1:i386 (1.13-4ubuntu2, automatic), bluez-alsa:i386 (4.98-0ubuntu9, automatic), libsdl-ttf2.0-0:i386 (2.0.9-1.1ubuntu1, automatic), libkrb5-3:i386 (1.10+dfsg~alpha2-1, automatic), libatk1.0-0:i386 (2.3.3-0ubuntu1, automatic), libk5crypto3:i386 (1.10+dfsg~alpha2-1, automatic), libstdc++5:i386 (3.3.6-25ubuntu1, automatic), libstdc++6:i386 (4.6.2-14ubuntu2, automatic), libxfixes3:i386 (5.0-4ubuntu1, automatic), ia32-libs-multiarch:i386 (20090808ubuntu33, automatic), libncurses5:i386 (5.9-4, automatic), libqt4-declarative:i386 (4.8.0-1ubuntu5, automatic), libxcomposite1:i386 (0.4.3-2, automatic), libgail18:i386 (2.24.10-0ubuntu1, automatic), libldap-2.4-2:i386 (2.4.28-1.1ubuntu2, automatic), libao-common:amd64 (1.1.0-1ubuntu2, automatic), libv4l-0:i386 (0.8.5-6ubuntu1, automatic), ttf-dejavu-extra:amd64 (2.33-2, automatic), liblcms1:i386 (1.19.dfsg-1ubuntu3, automatic), libqt4-qt3support:i386 (4.8.0-1ubuntu5, automatic), libroken18-heimdal:i386 (1.5.dfsg.1-3, automatic), libunistring0:i386 (0.9.3-5, automatic), libcupsimage2:i386 (1.5.2-4, automatic), libgphoto2-port0:i386 (2.4.11-4ubuntu2, automatic), libidn11:i386 (1.23-2, automatic), libnss3:i386 (3.13.1.with.ckbi.1.88-1ubuntu5, automatic), libwrap0:i386 (7.6.q-21, automatic), libcaca0:i386 (0.99.beta17-2.1ubuntu1, automatic), gtk2-engines:i386 (2.20.2-1ubuntu1, automatic), libgudev-1.0-0:i386 (175-0ubuntu5, automatic), libsamplerate0:i386 (0.1.8-1, automatic), libacl1:i386 (2.2.51-5ubuntu1, automatic), libcomerr2:i386 (1.42-1ubuntu1, automatic), libselinux1:i386 (2.1.0-4ubuntu1, automatic), libjpeg-turbo8:i386 (1.1.90+svn733-0ubuntu4, automatic), libcdparanoia0:i386 (3.10.2+debian-10ubuntu1, automatic), libcairo-gobject2:i386 (1.10.2-6.1ubuntu2, automatic), libavc1394-0:i386 (0.5.3-1ubuntu2, automatic), libjpeg8:i386 (8c-2ubuntu6, automatic), gstreamer0.10-fluendo-mp3:i386 (0.10.15.debian-1ubuntu1, automatic), ia32-libs:amd64 (20090808ubuntu33, automatic), libdrm-radeon1:i386 (2.4.30-1ubuntu1, automatic), libbz2-1.0:i386 (1.0.6-1, automatic), libdbus-1-3:i386 (1.4.16-1ubuntu4, automatic), libaio1:i386 (0.3.109-2ubuntu1, automatic), libsane:i386 (1.0.22-7ubuntu1, automatic), odbcinst1debian2:amd64 (2.2.14p2-5ubuntu2, automatic), odbcinst1debian2:i386 (2.2.14p2-5ubuntu2, automatic), libqt4-test:i386 (4.8.0-1ubuntu5, automatic), libqt4-script:i386 (4.8.0-1ubuntu5, automatic), libqt4-designer:i386 (4.8.0-1ubuntu5, automatic), libtinfo5:i386 (5.9-4, automatic), icedtea-netx:amd64 (1.2~pre1-0ubuntu2, automatic), libsdl-mixer1.2:i386 (1.2.11-7, automatic), libqt4-network:i386 (4.8.0-1ubuntu5, automatic), libqt4-dbus:i386 (4.8.0-1ubuntu5, automatic), libxxf86vm1:i386 (1.1.1-2, automatic), libcap2:i386 (2.22-1ubuntu3, automatic), libproxy1:i386 (0.4.7-0ubuntu4, automatic), ibus-gtk:i386 (1.4.0-3ubuntu3, automatic), libdbus-glib-1-2:i386 (0.98-1ubuntu1, automatic), libgl1-mesa-dri:i386 (8.0~rc2-0ubuntu5, automatic), libtdb1:i386 (1.2.9-4, automatic), gcc-4.6-base:i386 (4.6.2-14ubuntu2, automatic), libxcb-glx0:i386 (1.8-2, automatic), libasn1-8-heimdal:i386 (1.5.dfsg.1-3, automatic), libgl1-mesa-glx:i386 (8.0~rc2-0ubuntu5, automatic), libspeex1:i386 (1.2~rc1-3ubuntu2, automatic), gvfs-libs:i386 (1.11.3-0ubuntu1, automatic), libjack-jackd2-0:i386 (1.9.8~dfsg.1-1ubuntu1, automatic), libxslt1.1:i386 (1.1.26-8ubuntu1, automatic), libgomp1:i386 (4.6.2-14ubuntu2, automatic), libpcre3:i386 (8.12-4, automatic), libcapi20-3:i386 (3.12.20071127-0ubuntu11, automatic), libibus-1.0-0:i386 (1.4.0-3ubuntu3, automatic), libcairo2:i386 (1.10.2-6.1ubuntu2, automatic), libx11-xcb1:i386 (1.4.99.1-0ubuntu1, automatic), libgnutls26:i386 (2.12.14-5ubuntu2, automatic), libglapi-mesa:i386 (8.0~rc2-0ubuntu5, automatic), odbcinst:amd64 (2.2.14p2-5ubuntu2, automatic), libgssapi3-heimdal:i386 (1.5.dfsg.1-3, automatic), libvisual-0.4-0:i386 (0.4.0-4, automatic), libcanberra-gtk-module:i386 (0.28-3ubuntu2, automatic), libcanberra0:i386 (0.28-3ubuntu2, automatic), libtasn1-3:i386 (2.10-1ubuntu1, automatic), libfreetype6:i386 (2.4.8-1, automatic), gtk2-engines-murrine:i386 (0.98.2-0ubuntu1, automatic), libwavpack1:i386 (4.60.1-2, automatic), libqt4-opengl:i386 (4.8.0-1ubuntu5, automatic), libsoup-gnome2.4-1:i386 (2.37.5.1-0ubuntu1, automatic), libglib2.0-0:i386 (2.31.16-0ubuntu2, automatic), libatk-wrapper-java:amd64 (0.30.4-0ubuntu2, automatic), libmysqlclient18:i386 (5.5.20-0ubuntu3, automatic), libexpat1:i386 (2.0.1-7.2, automatic), libv4lconvert0:i386 (0.8.5-6ubuntu1, automatic), gstreamer0.10-plugins-good:i386 (0.10.30.3-1ubuntu1, automatic), libqt4-xmlpatterns:i386 (4.8.0-1ubuntu5, automatic), librsvg2-common:i386 (2.35.2-0ubuntu1, automatic), libdatrie1:i386 (0.2.5-3, automatic), libavahi-common-data:i386 (0.6.30-5ubuntu2, automatic), libncursesw5:i386 (5.9-4, automatic), libffi6:i386 (3.0.11~rc1-5, automatic), libiec61883-0:i386 (1.2.0-0.1ubuntu1, automatic), libjson0:i386 (0.9-1ubuntu1, automatic), libgcc1:i386 (4.6.2-14ubuntu2, automatic), libgdk-pixbuf2.0-0:i386 (2.25.2-0ubuntu2, automatic), libsdl-image1.2:i386 (1.2.10-3, automatic), libxcb1:i386 (1.8-2, automatic), libp11-kit0:i386 (0.10-1, automatic), icedtea-netx-common:amd64 (1.2~pre1-0ubuntu2, automatic), libdrm2:i386 (2.4.30-1ubuntu1, automatic), libwind0-heimdal:i386 (1.5.dfsg.1-3, automatic), libxau6:i386 (1.0.6-4, automatic), libpixman-1-0:i386 (0.24.4-1, automatic), libsdl1.2debian:i386 (1.2.14-6.4ubuntu3, automatic), libxaw7:i386 (1.0.9-3, automatic), libgdbm3:i386 (1.8.3-10, automatic), libcups2:i386 (1.5.2-4, automatic), libcurl3:i386 (7.22.0-3ubuntu2, automatic), libqtcore4:i386 (4.8.0-1ubuntu5, automatic), libxinerama1:i386 (1.1.1-3, automatic), libesd0:i386 (0.2.41-10build2, automatic), libmikmod2:i386 (3.1.12-2, automatic), libkrb5support0:i386 (1.10+dfsg~alpha2-1, automatic), libgif4:amd64 (4.1.6-9ubuntu1, automatic), oss-compat:amd64 (1, automatic), libxft2:i386 (2.2.0-3ubuntu1, automatic), libcroco3:i386 (0.6.4-2, automatic), libdrm-nouveau1a:i386 (2.4.30-1ubuntu1, automatic), libpulse-mainloop-glib0:i386 (1.1-0ubuntu9, automatic), libatk-wrapper-java-jni:amd64 (0.30.4-0ubuntu2, automatic), libtheora0:i386 (1.1.1+dfsg.1-3ubuntu2, automatic), libice6:i386 (1.0.7-2, automatic), libaa1:i386 (1.4p5-39ubuntu1, automatic), libspeexdsp1:i386 (1.2~rc1-3ubuntu2, automatic), libxdmcp6:i386 (1.1.0-4, automatic), libieee1284-3:i386 (0.2.11-10build1, automatic), libgcrypt11:i386 (1.5.0-3, automatic), libthai0:i386 (0.1.16-3, automatic), libdrm-intel1:i386 (2.4.30-1ubuntu1, automatic), libxml2:i386 (2.7.8.dfsg-5.1ubuntu3, automatic), libao4:i386 (1.1.0-1ubuntu2, automatic), libkeyutils1:i386 (1.5.2-2, automatic), libxmu6:i386 (1.1.0-3, automatic), libcanberra-gtk0:i386 (0.28-3ubuntu2, automatic), libgpm2:i386 (1.20.4-4, automatic), libvorbisfile3:i386 (1.3.2-1ubuntu2, automatic), libqt4-sql:i386 (4.8.0-1ubuntu5, automatic), esound-common:amd64 (0.2.41-10build2, automatic), libasound2:i386 (1.0.25-1ubuntu4, automatic), flac:amd64 (1.2.1-6, automatic), libxpm4:i386 (3.5.9-4, automatic), libflac8:i386 (1.2.1-6, automatic), libqt4-svg:i386 (4.8.0-1ubuntu5, automatic), libusb-0.1-4:i386 (0.1.12-20, automatic), libgail-common:i386 (2.24.10-0ubuntu1, automatic), libxrender1:i386 (0.9.6-2, automatic), libhcrypto4-heimdal:i386 (1.5.dfsg.1-3, automatic), liborc-0.4-0:i386 (0.4.16-1ubuntu2, automatic), libraw1394-11:i386 (2.0.7-1ubuntu1, automatic), libnspr4:i386 (4.8.9-1ubuntu2, automatic), libshout3:i386 (2.2.2-7ubuntu1, automatic), libdv4:i386 (1.0.0-3ubuntu1, automatic), libhx509-5-heimdal:i386 (1.5.dfsg.1-3, automatic), libvorbisenc2:i386 (1.3.2-1ubuntu2, automatic), libqt4-xml:i386 (4.8.0-1ubuntu5, automatic), zlib1g:i386 (1.2.3.4.dfsg-3ubuntu4, automatic), libasyncns0:i386 (0.8-4, automatic), gstreamer0.10-x:i386 (0.10.35.3-1, automatic), libgettextpo0:i386 (0.18.1.1-5ubuntu3, automatic), libxss1:i386 (1.2.1-2, automatic), libgd2-xpm:i386 (2.0.36~rc1~dfsg-6ubuntu2, automatic), libheimbase1-heimdal:i386 (1.5.dfsg.1-3, automatic), libtiff4:i386 (3.9.5-2, automatic), libsdl-net1.2:i386 (1.2.7-5, automatic), libjasper1:i386 (1.900.1-13, automatic), libpng12-0:i386 (1.2.46-3ubuntu2, automatic), libvisual-0.4-plugins:i386 (0.4.0.dfsg.1-5, automatic), libgstreamer-plugins-base0.10-0:i386 (0.10.35.3-1, automatic), libpciaccess0:i386 (0.12.902-1, automatic), libudev0:i386 (175-0ubuntu5, automatic), libgnome-keyring0:i386 (3.2.2-2, automatic), gtk2-engines-pixbuf:i386 (2.24.10-0ubuntu1, automatic), libuuid1:i386 (2.20.1-1ubuntu2, automatic), libqtgui4:i386 (4.8.0-1ubuntu5, automatic), libtag1c2a:i386 (1.7-1ubuntu5, automatic), librsvg2-2:i386 (2.35.2-0ubuntu1, automatic), libavahi-client3:i386 (0.6.30-5ubuntu2, automatic), libssl0.9.8:i386 (0.9.8o-7ubuntu2, automatic), libmpg123-0:i386 (1.12.1-3.2ubuntu1, automatic), libmad0:i386 (0.15.1b-7ubuntu1, automatic), libx11-6:i386 (1.4.99.1-0ubuntu1, automatic), libsasl2-2:i386 (2.1.25.dfsg1-3, automatic), libdb5.1:i386 (5.1.25-11build1, automatic), gtk2-engines-oxygen:i386 (1.2.0-1ubuntu1, automatic), libfontconfig1:i386 (2.8.0-3ubuntu5, automatic), xaw3dg:i386 (1.5+E-18.1ubuntu1, automatic), libpango1.0-0:i386 (1.29.5-0ubuntu1, automatic), libsm6:i386 (1.2.0-2, automatic), libpulse0:i386 (1.1-0ubuntu9, automatic), liboil0.3:i386 (0.3.17-2ubuntu2, automatic), libheimntlm0-heimdal:i386 (1.5.dfsg.1-3, automatic), libpulsedsp:i386 (1.1-0ubuntu9, automatic), libxdamage1:i386 (1.1.3-2, automatic), gvfs:i386 (1.11.3-0ubuntu1, automatic), libqt4-sql-mysql:i386 (4.8.0-1ubuntu5, automatic), libxcb-render0:i386 (1.8-2, automatic), libodbc1:i386 (2.2.14p2-5ubuntu2, automatic), libexif12:i386 (0.6.20-1ubuntu1, automatic), libqt4-scripttools:i386 (4.8.0-1ubuntu5, automatic), libglu1-mesa:i386 (8.0~rc2-0ubuntu5, automatic), librtmp0:i386 (2.4~20110711.gitc28f1bab-1, automatic), libgssapi-krb5-2:i386 (1.10+dfsg~alpha2-1, automatic), libxi6:i386 (1.5.99.3-0ubuntu1, automatic), libvorbis0a:i386 (1.3.2-1ubuntu2, automatic), libqtwebkit4:i386 (2.2.1-1ubuntu2, automatic), libc6:i386 (2.15-0ubuntu2, automatic), libgstreamer0.10-0:i386 (0.10.35.3-1, automatic), libattr1:i386 (2.4.46-5ubuntu1, automatic), libxp6:i386 (1.0.1-2, automatic), libaudio2:i386 (1.9.3-3, automatic), libxcursor1:i386 (1.1.12-1, automatic), libxcb-shm0:i386 (1.8-2, automatic), libxt6:i386 (1.1.1-2, automatic), libxv1:i386 (1.0.6-2, automatic), libslang2:i386 (2.2.4-3ubuntu1, automatic), libxext6:i386 (1.3.0-3, automatic), libsasl2-modules:i386 (2.1.25.dfsg1-3, automatic), openjdk-6-jre:amd64 (6b24-1.11.1-0ubuntu1, automatic), libavahi-common3:i386 (0.6.30-5ubuntu2, automatic), libxrandr2:i386 (1.3.2-2, automatic), gstreamer0.10-plugins-base:i386 (0.10.35.3-1, automatic), libsndfile1:i386 (1.0.25-4, automatic), libsqlite3-0:i386 (3.7.9-2ubuntu1, automatic), libmng1:i386 (1.0.10-3, automatic), libgtk2.0-0:i386 (2.24.10-0ubuntu1, automatic), ps3mediaserver:amd64 (1.50.2+svn1092+mplayer34587-3precise1), libltdl7:i386 (2.4.2-1ubuntu1, automatic), libkrb5-26-heimdal:i386 (1.5.dfsg.1-3, automatic), libssl1.0.0:i386 (1.0.0g-1ubuntu1, automatic), libasound2-plugins:i386 (1.0.25-1ubuntu1, automatic), glib-networking:i386 (2.31.16-0ubuntu2, automatic), libgpg-error0:i386 (1.10-2ubuntu1, automatic), libllvm3.0:i386 (3.0-4ubuntu1, automatic), libsoup2.4-1:i386 (2.37.5.1-0ubuntu1, automatic), libgphoto2-2:i386 (2.4.11-4ubuntu2, automatic), libogg0:i386 (1.2.2~dfsg-1ubuntu1, automatic), libtag1-vanilla:i386 (1.7-1ubuntu5, automatic), libaudiofile1:i386 (0.3.3-2, automatic)
Remove: libvisual-0.4-plugins:amd64 (0.4.0.dfsg.1-5)


Also, the install had one error:

Code: Select all
Processing triggers for menu ...
/usr/share/menu/ps3mediaserver: missing required tag: "section"
Skipping file because of errors...


When I select PS3 Media Server from the Dash, it opens, but my PS3 refuses to see it. The only error in the log is a Java error:

Code: Select all
[main] INFO  18:37:58.407 java.lang.NullPointerException
[main] INFO  18:37:58.407    at javax.swing.JToggleButton$AccessibleJToggleButton.itemStateChanged(JToggleButton.java:400)
[main] INFO  18:37:58.408    at net.pms.encoders.MEncoderVideo.config(MEncoderVideo.java:837)
[main] INFO  18:37:58.409    at net.pms.newgui.TreeNodeSettings.getConfigPanel(TreeNodeSettings.java:79)
[main] INFO  18:37:58.409    at net.pms.newgui.TranscodingTab.addEngines(TranscodingTab.java:304)
[main] INFO  18:37:58.410    at net.pms.newgui.LooksFrame.addEngines(LooksFrame.java:430)
[main] INFO  18:37:58.410    at net.pms.PMS.registerPlayers(PMS.java:668)
[main] INFO  18:37:58.411    at net.pms.PMS.init(PMS.java:494)
[main] INFO  18:37:58.411    at net.pms.PMS.createInstance(PMS.java:931)
[main] INFO  18:37:58.412    at net.pms.PMS.main(PMS.java:1025)


Any ideas?

Many thanks,

Daniel
ScoobyDan
 
Posts: 4
Joined: Sun Feb 19, 2012 11:25 am

Re: Complete DEB packages for Ubuntu / Debian (32/64 bit)

Postby happy.neko » Sun Feb 19, 2012 10:24 pm

I have no idea why so many libs were installed, specifically i386 versions. Package requires only flac, jre and ia32 and they works on 11.10 without any i386 dependencies.
I see that openjdk-6-jre was installed. Maybe 12.04 uses other jre by default and that the reason behind problems. Please run
Code: Select all
update-java-alternatives  -l
happy.neko
Project Member
 
Posts: 478
Joined: Fri Sep 23, 2011 5:38 pm

Re: Complete DEB packages for Ubuntu / Debian (32/64 bit)

Postby ScoobyDan » Mon Feb 20, 2012 1:26 am

happy_neko,

That command returns

Code: Select all
java-1.6.0-openjdk-amd64 1061 /usr/lib/jvm/java-1.6.0-openjdk-amd64


So, I installed java-1.7.0, then ran

Code: Select all
sudo update-java-alternatives -s java-1.7.0-openjdk-amd64


This just resulted in a load of

Code: Select all
update-java-alternatives: jdk alternative does not exist


errors
ScoobyDan
 
Posts: 4
Joined: Sun Feb 19, 2012 11:25 am

Re: Complete DEB packages for Ubuntu / Debian (32/64 bit)

Postby ScoobyDan » Tue Feb 21, 2012 3:11 pm

Hmmm... When I started my PC today, I tried PS3 Media Server, and it worked flawlessly! No errors in the log, and the PS3 picked it up straight away.

Still confused why it needed so many 32bit libs, but at least it is now working properly :D

Daniel
ScoobyDan
 
Posts: 4
Joined: Sun Feb 19, 2012 11:25 am

Re: Complete DEB packages for Ubuntu / Debian (32/64 bit)

Postby happy.neko » Tue Feb 21, 2012 7:29 pm

Great!
Maybe some bugs with 12.04. It is still early beta thought.
happy.neko
Project Member
 
Posts: 478
Joined: Fri Sep 23, 2011 5:38 pm

PreviousNext

Return to Linux/Unix Support

Who is online

Users browsing this forum: Bing [Bot] and 5 guests